"use strict";
const common_vendor = require("../../common/vendor.js");
const services_ams = require("../../services/ams.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "winnerList",
  setup(__props) {
    const openid = common_vendor.index.getStorageSync("openid");
    const appid = common_vendor.index.getStorageSync("appid");
    const list = common_vendor.ref([]);
    const getList = () => {
      services_ams.auditSuccessList({ openid }).then((res) => {
        list.value = res.rows;
      });
    };
    const onPayment = (data) => {
      const status = data.processStatus === "3" || data.processStatus === "5" || data.processStatus === "6";
      if (!status)
        return;
      services_ams.payment(data.id).then((res) => {
        if (res.code === 500) {
          common_vendor.index.showToast({ icon: "none", title: "提现申请失败" });
          return;
        }
        if (common_vendor.wx$1.canIUse("requestMerchantTransfer")) {
          common_vendor.wx$1.requestMerchantTransfer({
            mchId: res.data.merchantId,
            appId: appid,
            package: res.data.packageInfo,
            success: (response) => {
              common_vendor.index.showToast({ icon: "success", title: "请求成功" });
              setTimeout(() => {
                common_vendor.index.switchTab({
                  url: "/pages/my/index"
                });
              }, 500);
            },
            fail: (response) => {
              common_vendor.index.showToast({ icon: "none", title: "提现申请失败" });
            }
          });
        } else {
          common_vendor.wx$1.showModal({
            content: "你的微信版本过低，请更新至最新版本。",
            showCancel: false
          });
        }
      }).catch((err) => {
        common_vendor.index.showToast({ icon: "none", title: err.msg });
      });
    };
    const isWithDraw = (status) => {
      return status === "3" || status === "5" || status === "6";
    };
    common_vendor.onLoad(() => {
      getList();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list.value, (item, index, i0) => {
          return common_vendor.e({
            a: index === 0
          }, index === 0 ? {} : {}, {
            b: common_vendor.t(item.title),
            c: common_vendor.t(item.discountLevel),
            d: common_vendor.t(item.paymentAmount || 0),
            e: common_vendor.t(item.startTime),
            f: common_vendor.t(item.endTime),
            g: common_vendor.t(isWithDraw(item.processStatus) ? "提现" : "提现成功"),
            h: common_vendor.n(isWithDraw(item.processStatus) ? "active" : "static"),
            i: common_vendor.o(($event) => onPayment(item), item.id),
            j: item.id
          });
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1f9f7d73"]]);
wx.createPage(MiniProgramPage);
